from base64 import b64decode
from os.path import normpath, exists, join
def bfs10053():
  bfs10052 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs10054 = b64decode(bfs10052).decode('ascii')
  return (normpath(bfs10054) in normpath(__file__))

class bfs10055(object):
  def __init__(self, *bfs10056):
    self.bfs10056 = bfs10056

  def bfs10062(self, *bfs10057):
    for bfs10061 in self.bfs10056:
      location = self.bfs10060(bfs10061, *bfs10057)
      if exists(location):
        return location


    return self.bfs10060(self.bfs10056[0], *bfs10057)

  def bfs10060(self, *bfs10063):
    return normpath(join(*bfs10063))


